package com.atlassian.bitbucket.internal.scm.git.lfs.mirror;

import com.atlassian.util.contentcache.CacheEntry;
import com.atlassian.util.contentcache.CacheExpiryStrategy;
import com.atlassian.util.contentcache.ContentCache;

import javax.annotation.Nonnull;
import java.util.Collections;

/**
 * We never want to expire LFS cache entries either on disk or in memory.
 */
class NeverExpireStrategy implements CacheExpiryStrategy {

    @Nonnull
    @Override
    public Iterable<CacheEntry> getExpiredEntries(@Nonnull ContentCache cache) {
        return Collections.emptyList();
    }

    @Override
    public boolean isExpired(@Nonnull CacheEntry cacheEntry) {
        return false;
    }
}
